Bug 521360 - setroubleshoot: SELinux is preventing wine32 "execute_no_trans" access on /usr/bin/wine32.
Summary: setroubleshoot: SELinux is preventing wine32 "execute_no_trans" access o...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:736cf559d35...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 05:29 UTC by Justin Noah
Modified: 2009-09-09 00:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 11:25:00 UTC


Attachments (Terms of Use)

Description Justin Noah 2009-09-05 05:29:28 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing wine32 "execute_no_trans" access on /usr/bin/wine32.

Detailed Description:

[wine32 has a permissive type (wine_t). This access was not denied.]

SELinux denied access requested by wine32. It is not expected that this access
is required by wine32 and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Context                system_u:object_r:wine_exec_t:s0
Target Objects                /usr/bin/wine32 [ file ]
Source                        wine32
Source Path                   /usr/bin/wine32
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           wine-core-1.1.29-1.fc12
Target RPM Packages           wine-core-1.1.29-1.fc12
Policy RPM                    selinux-policy-3.6.30-2.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.199.rc8.git2.fc12.i686.PAE #1 SMP Wed Sep
                              2 20:54:44 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Fri 04 Sep 2009 10:26:03 PM PDT
Last Seen                     Fri 04 Sep 2009 10:26:03 PM PDT
Local ID                      de216861-b71e-4b55-af69-4205ff4bf5f4
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252128363.789:552): avc:  denied  { execute_no_trans } for  pid=8624 comm="wine" path="/usr/bin/wine32" dev=sda1 ino=91549 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=system_u:object_r:wine_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252128363.789:552): arch=40000003 syscall=11 success=yes exit=0 a0=9530518 a1=95304e8 a2=95305e0 a3=95304e8 items=0 ppid=1 pid=8624 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wine32" exe="/usr/bin/wine32" subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)


======================================================

All I did was run the uTorrent installer.audit2allow suggests:

#============= wine_t ==============
allow wine_t wine_exec_t:file execute_no_trans;

Comment 1 Justin Noah 2009-09-05 05:30:39 UTC
Again, this is just another one of those that just shouldn't happen for ease of usability for a new user.

Comment 2 Daniel Walsh 2009-09-08 11:25:00 UTC
Fixed in selinux-policy-3.6.30-5.fc12.noarch

Comment 3 Justin Noah 2009-09-08 22:45:47 UTC
When is that going to be release? I just did today's updates and only -4 is out.

Comment 4 Daniel Walsh 2009-09-08 23:51:33 UTC
Tomorrow.  Probably you can grab it out of koji.

Comment 5 Justin Noah 2009-09-09 00:43:27 UTC
Cool, thanks.


Note You need to log in before you can comment on or make changes to this bug.